Update user
curl --request PATCH \
--url https://eu.phrase.com/idm/scim/Users/{userUid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/scim+json' \
--data '
{
"Operations": [
{
"op": "replace",
"path": "<string>",
"value": "<unknown>"
}
],
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
]
}
'import requests
url = "https://eu.phrase.com/idm/scim/Users/{userUid}"
payload = {
"Operations": [
{
"op": "replace",
"path": "<string>",
"value": "<unknown>"
}
],
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/scim+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/scim+json'},
body: JSON.stringify({
Operations: [{op: 'replace', path: '<string>', value: '<unknown>'}],
schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp']
})
};
fetch('https://eu.phrase.com/idm/scim/Users/{userUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "<string>",
"scimType": "<string>",
"detail": "<string>"
}SCIM
Update user
Partially updates a user’s attributes using SCIM PATCH operations (RFC 7644 Section 3.5.2).
Only the replace operation is supported. Supported target paths:
activeexternalIduserNamename.givenNamename.familyNamename(complex object)emails(complex array)emails[type eq "work"].value
When path is omitted, the value must be an object whose fields are merged into the user resource.
Returns 204 No Content on success.
PATCH
/
scim
/
Users
/
{userUid}
Update user
Authorizations
SCIM access token issued via Phrase Platform organization settings. The Bearer token value must be configured in Phrase Platform SCIM section.
Path Parameters
Phrase Platform identity UID of the user
Body
application/scim+jsonapplication/json
Response
User updated successfully — no content returned
Was this page helpful?
⌘I